#ifndef __config_h__
#define __config_h__

#include "gpgraphic.h"


#define NB_OPTIONS_MAX  3

#define OPTION_SOUND_ONOFF  0
#define OPTION_SAVE_SCORE  1
#define OPTION_SOUND_TEST  2
#define OPTION_SAVE_EXIT  3

#define OPTION_SAVE  0
#define OPTION_EXIT  1


#define	SAVE_SCORE_ON	0
#define	SAVE_SCORE_OFF	1

#define	SOUND_ON	0
#define	SOUND_OFF	1

typedef struct tagCONFIG{
	int sound_onoff;
	int save_score_onoff;
	int best_score;
}CONFIG;



void loadConfig(CONFIG *);
void saveConfig(CONFIG *, int);

void WriteConfigScreen(CONFIG *, int, GPDRAWSURFACE [], int *, int *  );

#endif /*__config_h__*/