#include "gpdef.h"
#include "gpstdlib.h"

#include "gpgraphic.h"

#include "util.h"
#include "draw.h"

void SetGraphMode(GPDRAWSURFACE gpDraw [2], int * nflip ){
	int				i;	
	for(i = 0 ; i < 2 ; i++)
	{
		GpLcdSurfaceGet(&gpDraw[i], i); 
	}		
	(*nflip) = 1;
	
	GpSurfaceSet(&gpDraw[0]);	

	// Enable display
	GpLcdEnable();	
}


void FlipSurface(int sleep, GPDRAWSURFACE gpDraw [2], int * nflip, int * frame){
	(*frame) ++;
	GpSurfaceFlip(&gpDraw[(*nflip)++]);
	(*nflip) &= 0x01;
	(*frame) %=1000;
	Sleep( sleep);		
}