#include "gpdef.h"
#include "gpstdlib.h"
#include "gpstdio.h"
#include "gpgraphic.h"
#include "gpfont.h"
#include "math.h"

#include "stdio.h"

#include "util.h"


int Random(int x){
	GpSrand(GpTickCountGet());
	return GpRand()%x;
}

void KeyGet(int * keydata){
	GpKeyGetEx( keydata );
}

int KeyChanged(){
	return GpKeyChanged();
}

void Wait(){
	int keydata;
	KeyGet(&keydata);
	while ( !( keydata & KEY_START && GpKeyChanged() ) ) {
		KeyGet(&keydata);
	}	
}

void Sleep( int time ){
	int n_tick = GpTickCountGet();
	while ( ( GpTickCountGet() - n_tick ) < time );	
}

void WriteTxt( GPDRAWSURFACE * gpDraw , char * string , int x, int y ){
	GpTextOut(NULL, gpDraw, x, y, (char*)string, 0x00);	
}
/*
unsigned char *get_gpg(char *filename) 
{ 
	unsigned char *data; 
	F_HANDLE hfile; 
	unsigned long p_read_count; 
	unsigned long fsize; 
	
	hfile = NULL; 
	
	if(SM_OK != GpFileOpen(filename, OPEN_R, &hfile)) 
	{ 
	char buffer[200] ; 
	sprintf(buffer,"get_gpg : error|file not found\n%s",filename) ; 
	return NULL ; 
	} 
	GpFileSeek(hfile, FROM_BEGIN, 8, 0); // skip header 
	data = gm_zi_malloc(fsize-8); // * sizeof(ushort) 
	GpFileRead(hfile, data, fsize-8, &p_read_count); 
	GpFileClose(hfile); 
	return (data); 
} */

/*
unsigned char *get_sef(char *filename) 
{ 
	unsigned char	*data; 
	F_HANDLE		hfile; 
	unsigned long	p_read_count; 
	unsigned long	fsize; 
 
	hfile = NULL; 
 
	if(SM_OK != GpFileOpen(filename, OPEN_R, &hfile)) 
	{ 
		char buffer[200] ; 
		sprintf(buffer,"get_sef : error|file not found\n%s",filename) ; 
		return NULL ; 
	} 
 
	GpFileGetSize(filename, &fsize); 
 
	GpFileSeek(hfile, FROM_BEGIN, 8, 0); // skip header 
	data = gm_zi_malloc(fsize-8); //  * sizeof(ushort) 
	GpFileRead(hfile, data, fsize-8, &p_read_count); 
	GpFileClose(hfile); 
	return (data); 
} */

